## 简要介绍

此文介绍如何为您的 `Chevereto` 添加 `QQ、微博、GitHub、Outlook` 方式，试验性教程，造成的损失由您自己负责！！！

#### 支持环境

- PHP >= 7.0

- Chevereto >= 3.13.0（目前已在3.13.4测试可用）



## 食用指南

#### 1.备份数据
- 在执行所有操作前，请先做好数据备份工作，以免造成不必要的损失！！！
- 在执行所有操作前，请先做好数据备份工作，以免造成不必要的损失！！！
- 在执行所有操作前，请先做好数据备份工作，以免造成不必要的损失！！！



#### 2.部署文件

上传压缩包，并按照路径复制替换即可。



#### 3. 安装社会化登陆库

初次安装和升级安装均需要执行以下操作！！！

**站点根目录执行**，安装社会化登陆库（需环境支持**Composer**）
https://github.com/overtrue/socialite

```shell
composer require "overtrue/socialite" -vvv
```



#### 4. 升级数据库

使用管理员权限登陆，并访问一下网址升级数据库，更新登陆方式！

`yourwebsite.com` 为您的站点地址，替换下面的链接后再访问

```
http://yourwebsite.com/install-qq
http://yourwebsite.com/install-weibo
http://yourwebsite.com/install-github
http://yourwebsite.com/install-outlook
```



##  其它

#### 1.Update报错
Update之后，Install报错，要是遇到以下信息，先确定你的旧版本是否也是本教程提供的登陆方式

![20191006131931](C:\Users\QSong\Desktop\Chevereto-social\20191006131931.png)

找到 `chevereto\app\install\installer.php` 文件，然后编辑第821行左右，代码如下：

```
'type' => "enum('password','session','cookie','facebook','twitter','google','vk')",
```

修改为如下：

```
'type' => "enum('password','session','cookie','facebook','twitter','google','vk','qq','weibo','github','outlook')",
```

再次执行 `http://yourwebsite.com/install` ，应恢复正常，并完成数据库升级。

